### Function

# EDataServer gdata_task_get_self_link

since: 3.46

#### Declaration [src]

    const gchar*
    e_gdata_task_get_self_link (
      JsonObject* task
    )

#### Description [src]

Returns Task::selfLink property.

Available since: 3.46

#### Parameters

`task`

  Type: `JsonObject`

  A GData TaskList.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.